CUDNN Frontend API 8.3.0

Public Member Functions | List of all members
nlohmann::detail::output_adapter_protocol< CharType > Struct Template Referenceabstract

abstract output adapter interface More...

`#include <json.hpp>`

Inheritance diagram for nlohmann::detail::output_adapter_protocol< CharType >:
Collaboration diagram for nlohmann::detail::output_adapter_protocol< CharType >:

## Public Member Functions
virtual void | write_character (CharType c)=0
virtual void | write_characters (const CharType *s, std::size_t length)=0
virtual | ~output_adapter_protocol ()=default
| output_adapter_protocol ()=default
| output_adapter_protocol (const output_adapter_protocol &)=default
| output_adapter_protocol (output_adapter_protocol &&) noexcept=default
output_adapter_protocol & | operator= (const output_adapter_protocol &)=default
output_adapter_protocol & | operator= (output_adapter_protocol &&) noexcept=default

## Detailed Description

### template<typename CharType>
struct nlohmann::detail::output_adapter_protocol< CharType >

abstract output adapter interface

Definition at line 13136 of file json.hpp.

## Constructor & Destructor Documentation

## ◆ ~output_adapter_protocol()

template<typename CharType >

virtual nlohmann::detail::output_adapter_protocol< CharType >::~output_adapter_protocol | ( |  | ) |
| virtualdefault

## ◆ output_adapter_protocol() [1/3]

template<typename CharType >

nlohmann::detail::output_adapter_protocol< CharType >::output_adapter_protocol | ( |  | ) |
| default

## ◆ output_adapter_protocol() [2/3]

template<typename CharType >

nlohmann::detail::output_adapter_protocol< CharType >::output_adapter_protocol | ( | const output_adapter_protocol< CharType > & |  | ) |
| default

## ◆ output_adapter_protocol() [3/3]

template<typename CharType >

nlohmann::detail::output_adapter_protocol< CharType >::output_adapter_protocol | ( | output_adapter_protocol< CharType > && |  | ) |
| defaultnoexcept

## Member Function Documentation

## ◆ operator=() [1/2]

template<typename CharType >

output_adapter_protocol& nlohmann::detail::output_adapter_protocol< CharType >::operator= | ( | const output_adapter_protocol< CharType > & |  | ) |
| default

## ◆ operator=() [2/2]

template<typename CharType >

output_adapter_protocol& nlohmann::detail::output_adapter_protocol< CharType >::operator= | ( | output_adapter_protocol< CharType > && |  | ) |
| defaultnoexcept

## ◆ write_character()

template<typename CharType >

virtual void nlohmann::detail::output_adapter_protocol< CharType >::write_character | ( | CharType | c | ) |
| pure virtual

Implemented in nlohmann::detail::output_string_adapter< CharType, StringType >, nlohmann::detail::output_stream_adapter< CharType >, and nlohmann::detail::output_vector_adapter< CharType >.

## ◆ write_characters()

template<typename CharType >

virtual void nlohmann::detail::output_adapter_protocol< CharType >::write_characters | ( | const CharType * | s,
|  | std::size_t | length
| ) |  |
| pure virtual

Implemented in nlohmann::detail::output_string_adapter< CharType, StringType >, nlohmann::detail::output_stream_adapter< CharType >, and nlohmann::detail::output_vector_adapter< CharType >.

The documentation for this struct was generated from the following file:

- json.hpp